function domainValidate ()
    {
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtDomName,Please enter a valid Domain name";
    txtFieldIdArr[1] = "txtAuthSvr1,Please enter a valid Authentication Server";    
    txtFieldIdArr[2] = "txtAuthPwd,Please enter a valid Authentication Secret";    
    txtFieldIdArr[3] = "txtWorkGrp,Please enter a valid Workgroup";
    txtFieldIdArr[4] = "txtBindName,Please enter a valid LDAP Bind Name";
    txtFieldIdArr[5] = "txtRealm,Please enter a valid Realm";    
        
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

	if (alphaNumericValueCheck ("txtDomName", "!@#$%^&()-_'{}.~", "Invalid domain name: ") == false)
		return false;
				
	if (alphaNumericValueCheck ("txtWorkGrp", "!@#$%^&()-_'{}.~", "Invalid workgroup: ") == false)
		return false;
				
	if (alphaNumericValueCheck ("txtRealm", "!@#$%^&()-_'{}.~", "Invalid active directory domain: ") == false)
		return false;
		
    return true;
    }
    
function AuthTypeCheck ()
	{
	var TypeEdit = document.getElementById ('hdAuthtypeEdit').value;
	
	if (!isNaN(TypeEdit) && parseInt (TypeEdit, 10) == 0)
	    var selectedValue = document.getElementById ('selAuthType').value;
	else
	    var selectedValue = comboSelectedValueGet ('selAuthType');
	
	if (!selectedValue) return;
	
	if (selectedValue == 'local')
		fieldStateChangeWr ('txtAuthSvr1 txtAuthPwd txtWorkGrp txtBindName txtRealm','','','');
	else if (selectedValue == 'radius_pap' || selectedValue == 'radius_chap' || selectedValue == 'radius_mschap' || selectedValue == 'radius_mschapv2' || selectedValue == 'wikid_pap' || selectedValue == 'wikid_chap' || selectedValue == 'mias_pap' || selectedValue == 'mias_chap')
	    fieldStateChangeWr ('txtWorkGrp txtBindName txtRealm','','txtAuthSvr1 txtAuthPwd','');
	else if (selectedValue == 'ntdomain')
	    fieldStateChangeWr ('txtAuthPwd txtBindName txtRealm','','txtAuthSvr1 txtWorkGrp','');
	else if (selectedValue == 'active-directory')
		fieldStateChangeWr ('txtAuthPwd txtWorkGrp txtBindName','','txtAuthSvr1 txtRealm','');
	else
	    fieldStateChangeWr ('txtAuthPwd txtWorkGrp txtRealm','','txtAuthSvr1 txtBindName','');
	}
function setAutyType ()
	{
	var TypeEdit = document.getElementById ('hdAuthtypeEdit').value;
	if (!isNaN(TypeEdit) && parseInt (TypeEdit, 10) == 0)
		document.getElementById ('selAuthType').disabled = true;	
	}
function domainInit ()
	{
	AuthTypeCheck ();
	}
