function wanAdvPageValidate () {
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtRetryTime,  Please enter a valid Retry Interval";
    txtFieldIdArr[1] = "txtRetryAttempts,  Please enter a valid Failover tries";

    if (txtFieldArrayCheck (txtFieldIdArr) == false) {
         return false;
    }
    if (isProblemCharArrayCheck (txtFieldIdArr) == false) {
        return false;
    }
    if (ipv6Validate ('tblWi1IpAddr', true, true, '') == false) {
        return false; 
    }

    var retryObj = document.getElementById ('txtRetryTime');
    if (retryObj && !retryObj.disabled) {
        if (numericValueRangeCheck (retryObj, 1, 'Invalid Retry Interval.', 30, 999, true, 'Invalid Retry Interval.', 'Seconds') == false) {
            return false;
        }
    }

    var retryAttemptsObj = document.getElementById ('txtRetryAttempts');
    if (retryAttemptsObj || !retryAttemptsObj.disabled)	{
        if (numericValueRangeCheck (retryAttemptsObj, 1, 'Invalid Failover tries', 2, 999, true, 'Invalid Failover tries', '') == false) {
            return false;
        }
    }
    return true;
}
